// Copyright 2016 CERN and GSI
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef SILECS_DIAG_HEADERINFORMATIONS_H
#define SILECS_DIAG_HEADERINFORMATIONS_H

#include <string>

class HeaderInformations
{

private:
    std::string headerRelease;
    std::string headerOwner;
    std::string headerDate;
    std::string HeaderChecksum;

public:
    HeaderInformations();

    // String setter
    void setheaderRelease(std::string headerRelease);
    void setheaderOwner(std::string headerOwner);
    void setheaderDate(std::string headerDate);
    void setHeaderChecksum(std::string HeaderChecksum);

    // String getter
    std::string getheaderRelease();
    std::string getheaderOwner();
    std::string getheaderDate();
    std::string getHeaderChecksum();
};

#endif // SILECS_DIAG_HEADERINFORMATIONS_H
